[Upstream] Impress Custom Animation Sound Effect not audible in Slide Show

Bug #823155 reported by Stanley Poh on 2011-08-09
60
This bug affects 6 people
Affects Status Importance Assigned to Milestone
LibreOffice
Confirmed
Low
OpenOffice
Unknown
Low
libreoffice (Ubuntu)
Medium
Unassigned
openoffice.org (Ubuntu)
Undecided
Unassigned

Bug Description

1) lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04

2) apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in a new Impress document via the Terminal:

loimpress --nologo

New Impress file -> click the rectangle containing "Click to add text" -> Under Tasks Custom Animation -> button Add... -> Entrance tab highlight Random Effects -> OK button -> right of Property ... button -> Effect tab -> change Sound dropdown apert -> OK button -> Slide Show and it plays the apert sound.

4) What happens instead is no sound is played during the slide show.

Original Reporter Comments: I am using Ubuntu 11.04 Natty. I have tested this in Ubuntu 10.10 with OpenOffice.org presentation (Impress), same problem too. All in all I have tried this on 3 different computers. 2 on 11.04 and 1 on 10.10

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: libreoffice 1:3.3.2-1ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Uname: Linux 2.6.38-10-generic i686
Architecture: i386
Date: Tue Aug 9 16:59:45 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: No upgrade log present (probably fresh install)

Step to Reproduce
1)Start a new impress.
2)Draw a drawing(e.g. rectangle)in slide, and add “Random Effects” in custom
animation pane.
3)Click“effect options”button in custom animation pane, in effect tab select
any sound, and click OK.
4)Press F5 to show the slide.
No sounds is heard.

Same defect with other effects on Linux. If a sound is linked on mouse click,
OOo hangs.

I have reproduced this problem according to the reproduction steps on the
following version:
* OOo-dev 3.0.0 Beta m14 on Windows XP
* OOo-dev 3.0.0 Beta m14 on Mac OS X 10.4.11 (Intel)

No sound is heard for custom animation types "Entrance"-"Random Effects" or
"Exit"-"Random Effects".
If another custom animation type is chosen, the chosen sound is played when the
animation is running.

Reproducible. Reassigned.

15 comments hidden view all 117 comments
Stanley Poh (ptsg) wrote :
Stanley Poh (ptsg) wrote :

This bug report is create after I have open a question here. https://answers.launchpad.net/ubuntu/+source/libreoffice/+question/167117

Stanley Poh (ptsg) wrote :

Now I have install Ubuntu 11.10 beta from DVD with libreoffice 3.4.2, updated to today. Tried impress LibreOffice 3.4.2
OOO340m1 (Build:203). Create a blank slide and add sound effect eg. laser, apert. The problem still there. No sound but pulse indicate impress played the sound but displayed the status lightning fast. Hence my observation that it may also related to Ubuntu sound system.

summary: - LibreOffice Impress 3.3.2 - built-in sound effects produce sound to
- short, like being cutoff too soon, making some effect never have the
- chance to produce sound.‏
+ LibreOffice Impress built-in sound effects produce sound to short, like
+ being cutoff too soon, making some effect never have the chance to
+ produce sound.‏
1 comments hidden view all 117 comments

Created attachment 51048
Demo file - custom animation with sound

As in attachment, sound fails to play if added to an object in custom animation. Sounds do work on slide transition however. This bug has been around for a long time, from older versions to the very latest Libreoffice.

Changed in openoffice.org (Ubuntu):
status: New → Won't Fix

[This is an automated message.]
There are no new official OpenOffice.org releases in Ubuntu packaging anymore => Won't Fix

If the problem persists, please mark this bug as "also affects project Libreoffice" or "also affects distribution Libreoffice (Ubuntu)" if that has not happened already.

Please leave references to upstream OpenOffice.org bugs in place to allow cross pollination.

summary: - LibreOffice Impress built-in sound effects produce sound to short, like
- being cutoff too soon, making some effect never have the chance to
- produce sound.‏
+ [Upstream] LibreOffice Impress built-in sound effects produce sound to
+ short, like being cutoff too soon, making some effect never have the
+ chance to produce sound.‏
Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → Confirmed
1 comments hidden view all 117 comments

[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html

Changed in df-libreoffice:
status: Confirmed → Incomplete

The bug still persists in 3.5.0beta2

Changed in df-libreoffice:
status: Incomplete → Confirmed

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
Changed in pulseaudio (Ubuntu):
status: New → Confirmed
1 comments hidden view all 117 comments
no longer affects: pulseaudio (Ubuntu)
19 comments hidden view all 117 comments

*** Bug 44115 has been marked as a duplicate of this bug. ***

18 comments hidden view all 117 comments
  • example.odp Edit (13.3 KiB, application/vnd.oasis.opendocument.presentation)

Attachment pulled from upstream report:
https://bugs.freedesktop.org/attachment.cgi?id=51048

Stanley Poh, this is unreproducible in Xubuntu 32-bit:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/823155/+attachment/3131862/+files/example.odp && loimpress --nologo example.odp

Under Tasks click Slide Transition -> Sound drop down choose Apert -> Slide Show and sound plays as expected.

 lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Is this reproducible for you? If so, please execute the following via the Terminal and post it to this report:
lsb_release -rd && apt-cache policy libreoffice-impress

Changed in libreoffice (Ubuntu):
status: Confirmed → Incomplete
description: updated
18 comments hidden view all 117 comments

Joshua O'Leary, this is not reproducible. Please re-open if reproducible in 3.5.2+.

lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Changed in openoffice:
importance: Unknown → Low
12 comments hidden view all 117 comments

I thought I have made a very clear bug report. Please do read it. The problem is with CUSTOM ANIMATION not SLIDE TRANSITION. I referred to APERT as just an example, please sample other sounds also.

Note: I have tried example.odp. You did not use CUSTOM ANIMATION but use SLIDE TRANSITION instead. CUSTOM ANIMATION did not make the proper sound.

Stanley Poh, unfortunately your Bug Description was written in a vague way. Could you please provide the required information following https://wiki.ubuntu.com/LibreOfficeBugWrangling ?

Stanley Poh (ptsg) wrote :

If I am using Slide Transition to play long background sound like for eg. background music, I cannot use slide transition sound effect as a replacement for custom animation sound effect. This is just an example. There are many useful use for Custom Animation Sound Effect.

Stanley Poh (ptsg) wrote :

Please help me to make my report clear and definite. What should I do now?

Stanley Poh (ptsg) wrote :

You can follow the step-by-step sample by Liushibo (liushibo) wrote on 2008-04-28: In OpenOffice.org Issue Tracker #88786,

qouting him

"Step to Reproduce
1)Start a new impress.
2)Draw a drawing(e.g. rectangle)in slide, and add Random Effects in custom
animation pane.
3)Click effect options button in custom animation pane, in effect tab select
any sound, and click OK.
4)Press F5 to show the slide.
No sounds is heard."

Note: APERT and LASER are just for example. You can use any built-in sound effect.

Stanley Poh (ptsg) wrote :

To make thing simple just use this

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: libreoffice 1:3.3.2-1ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Uname: Linux 2.6.38-10-generic i686
Architecture: i386
Date: Tue Aug 9 16:59:45 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: No upgrade log present (probably fresh install)

Stanley Poh (ptsg) wrote :

Currently I am trying out LibreOffice daily ppa. The bug is still there.

libreoffice-writer:
  Installed: 1:3.5.1-1ubuntu1~natty2
  Candidate: 1:3.5.3-0ubuntu1~natty1
  Version table:
     1:3.5.3-0ubuntu1~natty1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ natty/main i386 Packages
 *** 1:3.5.1-1ubuntu1~natty2 0
        100 /var/lib/dpkg/status
     1:3.3.4-0ubuntu1 0
        500 http://ubuntu.oss.eznetsols.org/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://ubuntu.oss.eznetsols.org/ubuntu/ natty/main i386 Packages

Stanley Poh (ptsg) wrote :

lsb_release -rd produce the below result

Description: Ubuntu 11.04
Release: 11.04

Stanley Poh (ptsg) wrote :

Here's the apt-cache policy libreoffice-impress

libreoffice-impress:
  Installed: 1:3.5.1-1ubuntu1~natty2
  Candidate: 1:3.5.3-0ubuntu1~natty1
  Version table:
     1:3.5.3-0ubuntu1~natty1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ natty/main i386 Packages
 *** 1:3.5.1-1ubuntu1~natty2 0
        100 /var/lib/dpkg/status
     1:3.3.4-0ubuntu1 0
        500 http://ubuntu.oss.eznetsols.org/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://ubuntu.oss.eznetsols.org/ubuntu/ natty/main i386 Packages

description: updated
tags: added: maverick precise
summary: - [Upstream] LibreOffice Impress built-in sound effects produce sound to
- short, like being cutoff too soon, making some effect never have the
- chance to produce sound.‏
+ [Upstream] Impress Custom Animation Sound Effect not audible in Slide
+ Show

Stanley Poh, please take note of the updated Bug Description. It is a click-by-click example, as requested of you in https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/823155/comments/19 , of how to reproduce the problem. If one does not make bugs this way, it is highly frowned upon, and it is not likely the bug will be addressed quickly. Please ensure future bugs are submitted this way. Thank you for your understanding.

libreoffice (Ubuntu) -> Triaged Medium

Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
description: updated
4 comments hidden view all 117 comments

1) lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04

2) apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in a new Impress document via the Terminal:

loimpress --nologo

New Impress file -> click the rectangle containing "Click to add text" -> Under Tasks Custom Animation -> button Add... -> Entrance tab highlight Random Effects -> OK button -> right of Property ... button -> Effect tab -> change Sound dropdown apert -> OK button -> Slide Show and it plays the apert sound.

4) What happens instead is no sound is played during the slide show.

3 comments hidden view all 117 comments
Stanley Poh (ptsg) wrote :

Thank you for your guidance. I have tried to be a descriptive as possible but unorganized as you have shown. I have no idea what bug it was in the very beginning. I wrote a question and started from there. Thought it was Ubuntu sound system at first as it affect all Ubuntu version I have tried. Updating LibreOffice did not get rid of the bug hence the assumption. Then I was ushered here.

I am happy that you have taken the time to interact with me.

If this very long time bug (which is true in Ubuntu) can be over come, impress can be more useful during presentation. It will be a very good first impression to the audience. :-)

"If one does not make bugs this way, it is highly frowned upon, and it
is not likely the bug will be addressed quickly."

If programmers are able to fluently program in java, c and c++, then
they would easily know how to test a simple bug in a program they
themselves developed! It is clear what Stanley is trying to say, if you
create an object (e.g. word art, test, shapes etc.), go click on Custom
Animation in the sidebar, click Add, choose an effect from the list,
click OK, click '...' to go into effect options, pick a sound, click ok,
press F5 to run the show and find that custom animation sounds don't work.

3 comments hidden view all 117 comments

Still a problem in 3.5.3:

ibreoffice-impress:
  Installed: 1:3.5.3-0ubuntu1
  Candidate: 1:3.5.3-0ubuntu1
  Version table:
 *** 1:3.5.3-0ubuntu1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.5.2-2ubuntu1 0
        500 http://ubuntu.retrosnub.co.uk/ubuntu/ precise/main i386 Packages

Joshua O'Leary, please do not toggle the version. For more on this please see http://wiki.documentfoundation.org/BugReport_Details#Version .

*** Bug 48238 has been marked as a duplicate of this bug. ***

David Hawker (arrest) wrote :

Still a problem in Libre Office 4.1.3.2, as described above.

Still problem in LO 4.2. Very confusing. Please, it's more important than changing UI or something like this. It's core function.

I can confirm it. This problem still persists. It somewhat disqualifies the Linux version compared to the Windows one.

May be duplicate of bug 67544 ??

<email address hidden>: no, the problem with not including the file in the presentation is another issue altogether (but related). This concerns custom animation, and the sound effects do not play at all (let alone get embedded in the slide show).

I think the whole multimedia system for Libreoffice could be in need of being redone, though this is no small task. (I would help if I knew and had the time to learn C++, I only know C)

Changed in df-libreoffice:
importance: Medium → Critical
Changed in df-libreoffice:
importance: Critical → Medium
Changed in df-libreoffice:
importance: Medium → Critical
37 comments hidden view all 117 comments

(In reply to comment #15)
> inherited from OOo as per "see also" -- has been around since at least OOo
> 2.4.
> Certainly doesnt qualify as severity:blocker, see
> https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity
>
> finally, please add _only_ comments to issues on bugzilla that are relevant
> for triage and keep metadiscussions to the mailing lists (or QA meeting).
> Thanks.

It is absolutely a blocker according to the criteria. The last item on the list at https://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Definition is "unusable function". Custom animation sound effects are currently an unusable function.

Created attachment 107163
Demo file working by selecting a new sound and saving in 4.4

In LO 4.3 and 4.4 following the steps from Comment 5, I was NOT able to reproduce this bug. The slideshow played the sound. When I loaded the demo file and reselected a different sound, the slide played the correct custom animation sound during the slideshow.

Since newer files play sounds just fine, either impress-sound.odp is corrupt or there is an incompatibility with Impress playing sounds from presentations created with older versions. If that's the case, we should open a new report for that separate issue as this report is getting unwieldy.

Changed in df-libreoffice:
status: Confirmed → Fix Released
Changed in openoffice:
status: Unknown → Fix Released

Still broken in Libreoffice 1:4.2.6.3-0ubuntu1 (Ubuntu 14.04), using both demo files

Sorry I misread, maybe this has been fixed upstream. More people need to test this to confirm it has been fixed in 4.4

Joshua,
Please test this issue on 4.3 or 4.4 and confirm it has been fixed. If it's not, you can reopen the bug.

Still broken in 4.3 (from https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-3), in Ubuntu 14.04.

Luke, which version of Linux have you tested this in? This bug seems to be Linux-specific

Created attachment 107504
Screenshot of version still with bug

1:4.3.2~rc2-0ubuntu1~trusty2

Changed in df-libreoffice:
status: Fix Released → Confirmed

As per https://bugs.freedesktop.org/show_bug.cgi?id=75683#c61 please check if this is a 32-Bit Linux only bug. => NEEDINFO

Björn: it can't be 32-bit only, the recent testing I have done (mentioned earlier) has all been on 64 bit

Couple things on this:

Reopened is only for a bug that has been confirmed, assigned to a developer, developer claims it's FIXED, and after that point someone says "no it's not" - this bug was never FIXED. Reopened wrong status.

Marking as UNCONFIRMED as we have no independent confirmation recently.

Also - this is not a critical bug. Lowering to Major, high. Please don't change it again.

Lastly, if you haven't already done so, please try with a fresh profile: https://wiki.documentfoundation.org/UserProfile

Thanks for your patience.

Changed in df-libreoffice:
importance: Critical → High
status: Confirmed → New

If I follow the steps from comment 5, sound doesn't play in slideshow either on Linux or Windows.

Opening the file from comment 0, Linux doesn't play the sound, a little click might be heard. Changing the sound doesn't help.
Windows plays it, if I change it to be some other sound.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29

Changed in df-libreoffice:
status: New → Confirmed

(This is an automated message.)

Setting priority to highest as this is a MAB. This is part of an effort to make the importance of MAB reflected in priority too.

moving bug to mab4.3 list since 4.2.x is END OF LIFE and bug is still reproducible in newer releases

any news about this in 4.4.x or 5.0.x ? can anyone give an update of the bug current status?

On pc Debian x86-64 with master sources updated today, I could reproduce the problem indicated in initial description but I noticed these logs:
warn:avmedia:24225:1:avmedia/source/viewer/mediawindow_impl.cxx:248: failed to create media player service com.sun.star.comp.avmedia.Manager_VLC
warn:avmedia:24225:1:avmedia/source/gstreamer/gstplayer.cxx:446: gstreamer error: 'Resource not found.' debug: 'gstfilesrc.c(515): gst_file_src_start (): /GstPlayBin:playbin3/GstURIDecodeBin:uridecodebin3/GstFileSrc:source:
No such file "/home/julien/usr/lib/libreoffice/basis3.3/share/gallery/sounds/apert.wav"'
warn:avmedia:24225:1:avmedia/source/gstreamer/gstplayer.cxx:446: gstreamer error: 'Resource not found.' debug: 'gstfilesrc.c(515): gst_file_src_start (): /GstPlayBin:playbin3/GstURIDecodeBin:uridecodebin3/GstFileSrc:source:
No such file "/home/julien/usr/lib/libreoffice/basis3.3/share/gallery/sounds/apert.wav"'
warn:avmedia:24225:1:avmedia/source/gstreamer/gstplayer.cxx:446: gstreamer error: 'No URI set' debug: 'gstplaybin2.c(5426): setup_next_source (): /GstPlayBin:playbin3'
warn:avmedia:24225:1:avmedia/source/gstreamer/gstplayer.cxx:446: gstreamer error: 'No URI set' debug: 'gstplaybin2.c(5426): setup_next_source (): /GstPlayBin:playbi

Unzipping odp file, I see this in content.xml:
<anim:audio xlink:href="../../../../usr/lib/libreoffice/basis3.3/share/gallery/sounds/apert.wav" />
Taking a look at where could be apert.wav, I found it there:
/usr/lib/libreoffice/share/gallery/sounds

So first attachment can't work. An enhancement could be to indicate the file is not found and propose to modify the sound.

Julien's on the right track. If you create slide with an Animation Sound Effect and save it, it will work. If you copy that file to a different directory, the sound will no longer play. The reason why there was so much confusion over this bug, is that sound effect work until the file that they were created in is moved to a new location.

So the issue here is the sound player is using the full system path of the sound effect, instead of using the relative location of the sound effect within the ODP file.

Changed in openoffice:
status: Fix Released → Unknown
Changed in df-libreoffice:
importance: High → Unknown
status: Confirmed → Unknown
Changed in df-libreoffice:
importance: Unknown → High
status: Unknown → Confirmed

(In reply to Luke from comment #32)
> Julien's on the right track. If you create slide with an Animation Sound
> Effect and save it, it will work. If you copy that file to a different
> directory, the sound will no longer play. The reason why there was so much
> confusion over this bug, is that sound effect work until the file that they
> were created in is moved to a new location.

This is not true. If you create a custom animation with a sound effect from the LibO gallery *on Linux*, it will not work at any point. You don't have to save, you don't have to move the file - it just won't work. I can reproduce this from scratch on Arch Linux with 5.2.3 / 5.3 and Ubuntu with 5.2.3. Same for version 3.6.7.2 on Arch.
On Windows it works perfectly.

*** Bug 92489 has been marked as a duplicate of this bug. ***

(In reply to Buovjaga from comment #33)
> (In reply to Luke from comment #32)
> > Julien's on the right track. If you create slide with an Animation Sound
> > Effect and save it, it will work. If you copy that file to a different
> > directory, the sound will no longer play. The reason why there was so much
> > confusion over this bug, is that sound effect work until the file that they
> > were created in is moved to a new location.
>
> This is not true. If you create a custom animation with a sound effect from
> the LibO gallery *on Linux*, it will not work at any point. You don't have
> to save, you don't have to move the file - it just won't work. I can
> reproduce this from scratch on Arch Linux with 5.2.3 / 5.3 and Ubuntu with
> 5.2.3. Same for version 3.6.7.2 on Arch.
> On Windows it works perfectly.

Salamu Alaikum,

I've tested the two versions of LibreOffice Impress. The first one (LO-5.2.3.1) on Debian 9 Stretch 64bits and the second one (5.2.3.3) on Win XP 32bits.
Here is the link to both versions : https://www.dropbox.com/s/rigc2ctg71iel38/LibreOfficeVersions.png?dl=0

I Confirm, There is no sound, even without moving the created ODP Animation file.
I've tried to open the content.xml inside the ODP animation; and replace all sounds links with the Complete path from Root of my partition /home/myuser/Documents/MySoundFile.flac

But still no sound! This is a serious bug that has now some years without being solved.

Thank you in advance
I really hope it will be resolved very soon!

*** Bug 104678 has been marked as a duplicate of this bug. ***

(In reply to Buovjaga from comment #36)
> *** Bug 104678 has been marked as a duplicate of this bug. ***

Here is the Dev build of Libreoffice that i've downloaded and tested to see if the problem has been resolved and i can start using sounds with custom animations on a GNU/Linux OS : libreoffice-5-3~2016-12-14_22.50.48_LibreOfficeDev_5.3.0.0.beta2_Linux_x86-64_deb

But the problem still persists, and here are versions' info of the build I use:

Version: 5.3.0.0.beta2+
Build ID: 6eb2598a5d052220c6b569d1b49e80800850ac06
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new;
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-3, Time: 2016-12-14_22:50:48
Locale: en-US (en_US.UTF-8); Calc: group

Hope this can clarify things, whish you all the best

(In reply to Al-Ayoubi from comment #37)
> (In reply to Buovjaga from comment #36)
> > *** Bug 104678 has been marked as a duplicate of this bug. ***
>
> Here is the Dev build of Libreoffice that i've downloaded and tested to see
> if the problem has been resolved and i can start using sounds with custom
> animations on a GNU/Linux OS :
> libreoffice-5-3~2016-12-14_22.50.48_LibreOfficeDev_5.3.0.0.beta2_Linux_x86-
> 64_deb
>
> But the problem still persists, and here are versions' info of the build I
> use:
>
> Version: 5.3.0.0.beta2+
> Build ID: 6eb2598a5d052220c6b569d1b49e80800850ac06
> CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout
> Engine: new;
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-3, Time:
> 2016-12-14_22:50:48
> Locale: en-US (en_US.UTF-8); Calc: group
>
> Hope this can clarify things, whish you all the best

I confirm this problem, sounds just won't play with custom animations, even without closing and moving the odp presentation file.

I really hope that you guys can make a 5.3 version of LO on which this historical bug disappear.

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not
appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3
. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword

Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug

Verified in Version: 6.0.6.2
Build ID: 1:6.0.6-0ubuntu0.18.04.1
and
Version: 6.2.0.0.alpha0+
Build ID: b9234b43ed259a10cf9077032af0f79740f01d8b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;

The bugdoc attachment 51048 does not play a sound in the slideshow nor when I edit the custom animation->Options->Preview Sound

If I create a new slideshow, insert shape, and add a custom animation with a sound. The sound does play in the Options->Preview Sound. If I preview the animation or start the slideshow, the sound does not play.

Created Bug 120569 to handle Comment 31, sound resource not found which affect both Linux and Windows machines, preventing even the Sound Preview from working.

Lowering importance: Highest + Inherit from OOo doesn't make much sense at this point anymore...

Created attachment 149225
GStreamer log message ( turn on with export GST_DEBUG=7 ).

I tried to look into this issue. Despite the .wav selected for the effect doesn't work while the slideshow is running, you can hear the sound when you click the play button in the custom effect dialog.

export GST_DEBUG=7 and logging the messages of those two situations, the slideshow has following error messages:

riff riff-read.c:516:gst_riff_parse_strf_auds:<wavparse1> channels 1^M
riff riff-read.c:517:gst_riff_parse_strf_auds:<wavparse1> rate 11025^M
riff riff-read.c:518:gst_riff_parse_strf_auds:<wavparse1> av_bps 22050^M
riff riff-read.c:519:gst_riff_parse_strf_auds:<wavparse1> blockalign 2^M
riff riff-read.c:520:gst_riff_parse_strf_auds:<wavparse1> bits/sample 16^M
basesrc gstbasesrc.c:2445:gst_base_src_update_length:<source> processing at or past EOS^M
wavparse gstwavparse.c:1789:gst_wavparse_stream_headers:<wavparse1> error: Couldn't read in header -2 (flushing)^M
GST_ERROR_SYSTEM gstelement.c:2145:gst_element_message_full_with_details:<wavparse1> posting message: 無法將資料串流解多工分接。^M
GST_ERROR_SYSTEM gstelement.c:2172:gst_element_message_full_with_details:<wavparse1> posted error message: 無法將資料串流解多工分接。^M
wavparse gstwavparse.c:2293:gst_wavparse_loop:<wavparse1> error: Internal data stream error.^M
wavparse gstwavparse.c:2293:gst_wavparse_loop:<wavparse1> error: streaming stopped, reason error (-5)^M
GST_ERROR_SYSTEM gstelement.c:2145:gst_element_message_full_with_details:<wavparse1> posting message: Internal data stream error

( note that gst_element_message_full_with_details said it can't demultiplex the stream, in Chinese. The message doesn't matter. )

I'm still trying to figure out what's going on there.

Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/18975274ddc585cc3e3e8b6ae5c2800b27723444%5E%21

tdf#40780 extend default media duration from 0.01s to 0.3s.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.

Changed in df-libreoffice:
status: Confirmed → Fix Released

Mark: thanks a lot for working on this oldie.

I now hear a sound, but it is a very short one. Does it stop after the 0.3 seconds? The duration of the animation has no effect on this.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: ffc59a0c4fcc7f5486447c7132cf1133ba58e115
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3;
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 21 February 2019

I didn't check how the original test file play. The file path is share/gallery/sounds/apert.wav in LibreOffice installation directory. It's about one second, may be cut off because of the effect duration.

(In reply to Mark Hung from comment #45)
> I didn't check how the original test file play. The file path is
> share/gallery/sounds/apert.wav in LibreOffice installation directory. It's
> about one second, may be cut off because of the effect duration.

I tested from scratch with different sounds, all behave the same.

(In reply to Buovjaga from comment #46)
> (In reply to Mark Hung from comment #45)
> > I didn't check how the original test file play. The file path is
> > share/gallery/sounds/apert.wav in LibreOffice installation directory. It's
> > about one second, may be cut off because of the effect duration.
>
> I tested from scratch with different sounds, all behave the same.

Well ... I also found that. It seems that my solution didn't fixed the issue completely. Let us track with another new issue.

I hear NO sound.
Version: 6.3.0.0.alpha0+
Build ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-02_23:38:22
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

(In reply to BogdanB from comment #48)
> I hear NO sound.
> Version: 6.3.0.0.alpha0+
> Build ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2019-03-02_23:38:22
> Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
> Calc: threaded

In the original demo file from 2011? Then change the sound or do it from scratch. Then it works for me.

Created attachment 149700
no sound

Am I doing something wrong? See the video.
When I press play button I con hear the Drama sound. But after F5 and slide show started no sound can be hear.

Version: 6.3.0.0.alpha0+
Build ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-02_23:38:22
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

(In reply to BogdanB from comment #50)
> Created attachment 149700 [details]
> no sound
>
> Am I doing something wrong? See the video.
> When I press play button I con hear the Drama sound. But after F5 and slide
> show started no sound can be hear.

I see you chose "Random effects". Maybe it can be considered a separate bug (I repro), but please try with "Appear" or any other effect besides the random.

(In reply to Buovjaga from comment #51)
> (In reply to BogdanB from comment #50)
> > Created attachment 149700 [details]
> > no sound
> >
> > Am I doing something wrong? See the video.
> > When I press play button I con hear the Drama sound. But after F5 and slide
> > show started no sound can be hear.
>
> I see you chose "Random effects". Maybe it can be considered a separate bug
> (I repro), but please try with "Appear" or any other effect besides the
> random.

I also repro this on Windows with 6.2.0, so it is not related to this bug or bug fix.

2 comments hidden view all 117 comments

1. Open Impress
2. Select a shape/box
3. Sidebar - Animation - Add: Random Effects
4. Options - Sound (select a sound)
5. Start slideshow or preview

Already in 3.3.0 on Win 10 (tested 4.3.0 as well). Bogdan found this issue.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: d559c28e9e65f3be415ec2e36ee90aa147e65b84
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3;
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 1 March 2019

1 comments hidden view all 117 comments

Random effects bug now reported as bug 123836.

(In reply to Buovjaga from comment #51)
> (In reply to BogdanB from comment #50)
> > Created attachment 149700 [details]
> > no sound
> >
> > Am I doing something wrong? See the video.
> > When I press play button I con hear the Drama sound. But after F5 and slide
> > show started no sound can be hear.
>
> I see you chose "Random effects". Maybe it can be considered a separate bug
> (I repro), but please try with "Appear" or any other effect besides the
> random.

Yeah, it works on 6.3 with every other effects
Version: 6.3.0.0.alpha0+
Build ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-02_23:38:22
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

1 comments hidden view all 117 comments

On pc Debian x86-64 with master sources updated today, I could reproduce this.

Changed in df-libreoffice:
importance: High → Unknown
status: Fix Released → Unknown
Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed
Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.